%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  http://download.eclipse.org/mylyn/archive/3.6.0/v20110608-1400/
%global qualifier           v20110608-1400
Name:          eclipse-mylyn
Version:       3.6.0
Release:       %mkrel 1

Summary:       Eclipse Mylyn main feature
Group:         Development/Java
License:       EPL
URL:           http://www.eclipse.org/mylyn
# bash fetch-eclipse-mylyn.sh
Source0:       eclipse-mylyn-R_3_6_0-fetched-src.tar.bz2
Source1:       fetch-eclipse-mylyn.sh

BuildArch:     noarch

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-platform >= 1:3.5.0
BuildRequires: eclipse-pde >= 1:3.5.0
BuildRequires: eclipse-mylyn-commons >= 3.6.0
BuildRequires: rome
BuildRequires: jdom

Requires:      eclipse-platform >= 1:3.5.0
Requires:      eclipse-mylyn-commons >= 3.6.0
Requires:      rome
Requires:      jdom

%description
Mylyn integrates task support into Eclipse. It supports offline editing
for certain task repositories and monitors work activity to hide
information that is not relevant to the current task.

%prep
%setup -q -n eclipse-mylyn-R_3_6_0-fetched-src
rm -rf orbitDeps
mkdir orbitDeps
pushd orbitDeps
ln -s %{_javadir}/jdom.jar
ln -s %{_javadir}/rome-0.9.jar com.sun.syndication_0.9.0.v200803061811.jar
popd

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn_feature \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -d "mylyn-commons" -o `pwd`/orbitDeps

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn

unzip -q -o -d %{buildroot}%{install_loc}/mylyn \
 build/rpmBuild/org.eclipse.mylyn_feature.zip


%files
%defattr(-,root,root,-)
%{install_loc}/mylyn
%doc org.eclipse.mylyn-feature/epl-v10.html
%doc org.eclipse.mylyn-feature/license.html



%changelog

* Mon Nov 07 2011 gil <gil> 3.6.0-1.mga2
+ Revision: 164832
- imported package eclipse-mylyn

